Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603192 - cl module pre-loaded in i686 Emacs but not in x86_64 (or in other distributions)
cl module pre-loaded in i686 Emacs but not in x86_64 (or in other distributions)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 15:57 EDT by Michel Alexandre Salim
Modified: 2013-03-03 18:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2010-06-11 15:57:02 EDT
Description of problem:
The search function, part of cl-seq 
(/usr/share/emacs/23.2/lisp/emacs-lisp/cl-seq.elc from emacs-common)

works in the i686 build but not in x86_64. 

Version-Release number of selected component (if applicable):
emacs-common-23.2-1.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start emacs
2. M-x ielm
3. (describe-function 'search)
4. Try (search "foo" "bar") and (search "foo" "darfur")
  
Actual results:
#3 and both cases of #4 return
*** Eval error ***  Symbol's function definition is void: search

Expected results:
#3 -> in new frame:
search is a compiled Lisp function.

(search SEQ1 SEQ2 [KEYWORD VALUE]...)
... etc.

#4 -> first example: nil; second example: 3

Additional info:
Comment 1 Michel Alexandre Salim 2010-06-11 16:08:18 EDT
Note: this is still the case in 23.2-4, which is the latest Koji build for F-13
Comment 2 Michel Alexandre Salim 2010-06-11 17:15:15 EDT
So I guess this is not really urgent, as there are two workarounds:

1. (require 'cl)
2. Use string-match-p instead of search

on openSUSE 11.1 (both precompiled 22.3 and self-compiled 23.2) the Fedora x86_64 behavior is reproducible; only on Fedora 13 i686 is 'cl pre-loaded (somewhere in the site-wide file, as starting with --no-site-file reproduces the behavior of the other distributions).

The odd thing is, the Emacs packages I have installed on the i686 machine are the same as the ones on x86_64:

on i686:
$ rpm -qa emacs\* | sort
emacs-23.2-1.fc13.i686
emacs-auctex-11.86-2.fc13.noarch
emacs-color-theme-6.6.0-3.fc13.noarch
emacs-common-23.2-1.fc13.i686
emacs-common-ess-5.8-1.fc13.noarch
emacs-ess-5.8-1.fc13.noarch
emacs-lua-20071122-7.fc12.noarch

on x86_64:
emacs-23.2-4.fc13.x86_64
emacs-auctex-11.86-2.fc13.noarch
emacs-color-theme-6.6.0-3.fc13.noarch
emacs-common-23.2-4.fc13.x86_64
emacs-common-ess-5.8-1.fc13.noarch
emacs-ess-5.8-1.fc13.noarch
emacs-lua-20071122-7.fc12.noarch
Comment 3 Bug Zapper 2011-06-02 07:11:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:02:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.